# Delete Asset Filter

del ` https://app.mk.io/api/v1/projects/:project_name/media/assets/:asset_name/assetFilters/:filter_name`

Delete Asset Filter.  
Asset filters can only be removed when they are not referenced by any active streaming locators.

RBAC Capability Required: `ams.assetfilter.delete`

## Authentication

Authorization Bearer

Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Path parameters

- **project_name** string Required
- **asset_name** string Required
- **filter_name** string Required

## Response

- **200** Asset filter deleted.
  - No response body.
- **204** Nothing to delete.
  - No response body.

## Errors

- **400 Bad Request**
  - error object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) Required
    - Pertinent information about the error
      - **code** string Required  
        The error code.
      - **detail** string Required  
        The error message.
      - **extraDetail** map from strings to any Optional  
        Extra information regarding this error.
      - **ref** string Required  
        A reference to the request that caused the error.
      - **status** integer Required  
        The HTTP status code

- **401 Unauthorized**
  - error object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) Required
    - Pertinent information about the error
      - **code** string Required
      - **detail** string Required
      - **extraDetail** map from strings to any Optional
      - **ref** string Required
      - **status** integer Required

- **403 Forbidden**
  - error object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) Required
    - Pertinent information about the error
      - **code** string Required
      - **detail** string Required
      - **extraDetail** map from strings to any Optional
      - **ref** string Required
      - **status** integer Required

- **404 Not Found**
  - error object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) Required
    - Pertinent information about the error
      - **code** string Required
      - **detail** string Required
      - **extraDetail** map from strings to any Optional
      - **ref** string Required
      - **status** integer Required

- **429 Too Many Requests**
  - error object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) Required
    - Pertinent information about the error
      - **code** string Required
      - **detail** string Required
      - **extraDetail** map from strings to any Optional
      - **ref** string Required
      - **status** integer Required

- **500 Internal Server Error**
  - error object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) Required
    - Pertinent information about the error
      - **code** string Required
      - **detail** string Required
      - **extraDetail** map from strings to any Optional
      - **ref** string Required
      - **status** integer Required
